org.apache.storm.stats

## Class SpoutExecutorStats

- java.lang.Object
- - org.apache.storm.stats.CommonStats
  - - org.apache.storm.stats.SpoutExecutorStats

-     public class SpoutExecutorStats
      extends CommonStats

- - ### Field Summary

    - ### Fields inherited from class org.apache.storm.stats.CommonStats

      `rate`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SpoutExecutorStats(int rate, int numStatBuckets)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `cleanupStats()`
    `MultiLatencyStat` | `getCompleteLatencies()`
    `ExecutorStats` | `renderStats()`
    `void` | `spoutAckedTuple(String stream, long latencyMs)`
    `void` | `spoutFailedTuple(String stream)`

    - ### Methods inherited from class org.apache.storm.stats.CommonStats

      `emittedTuple, getAcked, getEmitted, getFailed, getRate, getTransferred, transferredTuples, valueStat, valueStat`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SpoutExecutorStats

          public SpoutExecutorStats(int rate,
                                    int numStatBuckets)

  - ### Method Detail

    - #### getCompleteLatencies

          public MultiLatencyStat getCompleteLatencies()

    - #### cleanupStats

          public void cleanupStats()

      Overrides:
        `cleanupStats` in class `CommonStats`

    - #### spoutAckedTuple

          public void spoutAckedTuple(String stream,
                                      long latencyMs)

    - #### spoutFailedTuple

          public void spoutFailedTuple(String stream)

    - #### renderStats

          public ExecutorStats renderStats()

      Specified by:
        `renderStats` in class `CommonStats`

Copyright © 2021 The Apache Software Foundation. All rights reserved.